net.corda.flows

## Class TwoPartyTradeFlow.AssetMismatchException

- Enclosing class:
    TwoPartyTradeFlow

      public static class TwoPartyTradeFlow.AssetMismatchException

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `AssetMismatchException(java.lang.String expectedTypeName, java.lang.String typeName)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getExpectedTypeName()`
    `java.lang.String` | `getTypeName()`
    `java.lang.String` | `toString()`

- - ### Constructor Detail

    - #### AssetMismatchException

          public AssetMismatchException(java.lang.String expectedTypeName,
                                        java.lang.String typeName)

  - ### Method Detail

    - #### toString

          public java.lang.String toString()

    - #### getExpectedTypeName

          public java.lang.String getExpectedTypeName()

    - #### getTypeName

          public java.lang.String getTypeName()